--- /dev/null	2014-06-12 17:28:21.000000000 +0100
+++ new/usr/src/man/man7d/mpt_sas3.7d	2014-06-12 17:28:21.734874202 +0100
@@ -0,0 +1,140 @@
+'\" te
+.\" Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
+.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add
+.\" the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
+.TH MPT_SAS3 7D "Jun 2, 2014"
+.SH NAME
+mpt_sas3 \- SAS-3 host bus adapter driver
+.SH SYNOPSIS
+.sp
+.in +2
+.nf
+scsi@unit-address
+.fi
+.in -2
+
+.SH DESCRIPTION
+.sp
+.LP
+The \fBmpt_sas3\fR host bus adapter driver is a nexus driver that supports the
+LSI SAS300x/3108 series of chips. These chips support SAS/SATA interfaces,
+including tagged and untagged queuing, multiple MSI-X interrupts, LSI
+fastpath and SATA 3G/6G/12G.
+.SS "Configuration"
+.sp
+.LP
+The \fBmpt_sas3\fR driver is configured by defining properties in
+\fBmpt_sas3.conf\fR. These properties override the global SCSI settings. The
+\fBmpt_sas3\fR driver supports one modifiable property:
+.sp
+.ne 2
+.na
+\fB\fBmpxio-disable\fR\fR
+.ad
+.sp .6
+.RS 4n
+Solaris I/O multipathing is enabled or disabled on SAS devices with the
+\fBmpxio-disable\fR property. Specifying \fBmpxio-disable="no"\fR activates I/O
+multipathing, while \fBmpxio-disable="yes"\fR disables I/O multipathing.
+.sp
+Solaris I/O multipathing can be enabled or disabled on a per port basis. Per
+port settings override the global setting for the specified ports.
+.sp
+The following example shows how to disable multipathing on port 0 whose parent
+is \fB/pci@0,0/pci8086,2940@1c/pci1000,90@0\fR:
+.sp
+.in +2
+.nf
+name="mpt_sas3"    parent="/pci@0,0/pci8086,2940@1c/pci1000,90@0"
+mpxio-disable="yes";
+.fi
+.in -2
+
+The \fBmpt_sas3\fR host bus adapter driver is also capable of driving older
+SAS2 controllers cards such as 2008 - 2308. Replacing the older mpt_sas driver
+with mpt_sas3 will automatically enhance the performance where the card
+is capable.
+
+.RE
+
+.SH EXAMPLES
+.LP
+\fBExample 1 \fRUsing the \fBmpt_sas3\fR Configuration File to Disable MPXIO
+.sp
+.LP
+Create a file called \fB/kernel/drv/mpt_sas3.conf\fR and add the following line:
+
+.sp
+.in +2
+.nf
+name="mpt_sas3"    parent="/pci@0,0/pci8086,2940@1c/pci1000,90@0"
+mpxio-disable="yes";
+.fi
+.in -2
+
+.SH FILES
+.sp
+.ne 2
+.na
+\fB\fB/kernel/drv/mpt_sas3\fR\fR
+.ad
+.sp .6
+.RS 4n
+32-bit ELF kernel module
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB/kernel/drv/sparcv9/mpt_sas3\fR\fR
+.ad
+.sp .6
+.RS 4n
+64-bit SPARC ELF kernel module
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB/kernel/drv/amd64/mpt_sas3\fR\fR
+.ad
+.sp .6
+.RS 4n
+64-bit x86 ELF kernel module
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB/kernel/drv/mpt_sas3.conf\fR\fR
+.ad
+.sp .6
+.RS 4n
+Optional configuration file
+.RE
+
+.SH ATTRIBUTES
+.sp
+.LP
+See \fBattributes\fR(5) for a description of the following attributes:
+.sp
+
+.sp
+.TS
+box;
+l | l
+l | l .
+ATTRIBUTE TYPE	ATTRIBUTE VALUE
+_
+Architecture	SPARC, x86
+.TE
+
+.SH SEE ALSO
+.sp
+.LP
+\fBprtconf\fR(1M), \fBdriver.conf\fR(4), \fBpci\fR(4), \fBattributes\fR(5),
+\fBscsi_abort\fR(9F), \fBscsi_device\fR(9S), \fBscsi_extended_sense\fR(9S),
+\fBscsi_inquiry\fR(9S), \fBscsi_hba_attach_setup\fR(9F), \fBupdate_drv\fR(1M),
+\fBscsi_ifgetcap\fR(9F), \fBscsi_ifsetcap\fR(9F), \fBscsi_pkt\fR(9S),
+\fBscsi_reset\fR(9F), \fBscsi_sync_pkt\fR(9F), \fBscsi_transport\fR(9F),
